# Author : David L. Johnson <dlj0@lehigh.edu>
# Probably broken by Jean-Marc Lasgouttes <Jean-Marc.Lasgouttes@inria.fr>
# modified and modularized by Emmanuel GUREGHIAN <gureghia@boston.bertin.fr>

# These are only the theorems styles environnements
# The environnements defined are :
# - Theorem
# - Corollary
# - Lemma
# - Proposition
# - Conjecture
# - Criterion
# - Algorithm
# - Fact
# - Axiom
# - Definition
# - Example
# - Condition
# - Problem
# - Exercise
# - Remark
# - Claim
# - Note
# - Notation
# - Summary
# - Acknowledgement
# - Case
# - Conclusion


Format 2
Style Theorem
	Preamble
	  \theoremstyle{plain}
	  \newtheorem{thm}{Th\'eor\`eme}
	EndPreamble
End


Style Corollary
	Preamble
	  \theoremstyle{plain}
	  \newtheorem{cor}{Corollaire}
	EndPreamble
End


Style Lemma
	Preamble
	  \theoremstyle{plain}
	  \newtheorem{lem}{Lemme}
	EndPreamble
End


Style Proposition
	Preamble
	  \theoremstyle{plain}
	  \newtheorem{prop}{Proposition}
	EndPreamble
End


Style Conjecture
	Preamble
	  \theoremstyle{plain}
	  \newtheorem{conjecture}{Conjecture}
	EndPreamble
End


Style Criterion
	Preamble
	  \theoremstyle{plain}
	  \newtheorem{criterion}{Crit\`ere}
	EndPreamble
End


Style Algorithm
	Preamble
	  \theoremstyle{plain}
	  \newtheorem{algorithm}{Algorithme}
	EndPreamble
End


Style Fact
	Preamble
	  \theoremstyle{plain}
	  \newtheorem{fact}{Fait}
	EndPreamble
End


Style Axiom
	Preamble
	  \theoremstyle{plain}
	  \newtheorem{ax}{Axiome}
	EndPreamble
End


Style Definition
	Preamble
	 \theoremstyle{definition}
	 \newtheorem{defn}{D\'efinition}
	EndPreamble
End


Style Example
	Preamble
	 \theoremstyle{definition}
	  \newtheorem{example}{Exemple}
	EndPreamble
End


Style Condition
	Preamble
	 \theoremstyle{definition}
	  \newtheorem{condition}{Condition}
	EndPreamble
End


Style Problem
	Preamble
	 \theoremstyle{definition}
	  \newtheorem{problem}{Probl\`me}
	EndPreamble
End


Style Exercise
	Preamble
	 \theoremstyle{definition}
	  \newtheorem{xca}{Exercice}
	EndPreamble
End


Style Remark
	Preamble
	  \theoremstyle{remark}
	  \newtheorem{rem}{Remarque}
	EndPreamble
End


Style Claim
	Preamble
	  \theoremstyle{remark}
	  \newtheorem{claim}{Affirmation}
	EndPreamble
End


Style Note
	Preamble
	  \theoremstyle{remark}
	  \newtheorem{note}{Note}
	EndPreamble
End


Style Notation
	Preamble
	  \theoremstyle{remark}
	  \newtheorem{notation}{Notation}
	EndPreamble
End


Style Summary
	Preamble
	  \theoremstyle{remark}
	  \newtheorem{summary}{R\'esum\'e}
	EndPreamble
End


Style Acknowledgement
	Preamble
	  \theoremstyle{remark}
	  \newtheorem{acknowledgement}{Remerciement}
	EndPreamble
End


Style Case
	Preamble
	  \theoremstyle{remark}
	  \newtheorem{case}{Cas}
	EndPreamble
End


Style Conclusion
	Preamble
	  \theoremstyle{remark}
	  \newtheorem{conclusion}{Conclusion}
	EndPreamble
End




